#
# spec file for package gtk-gnutella
#
# Copyright (c) 2016 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

%define _lto_cflags %{nil}

Name:           gtk-gnutella
Version:        1.2.0
Release:        2.2
Summary:        Gnutella Peer to Peer Client
License:        GPL-2.0+ (GPL-2.0+)
Url:            http://gtk-gnutella.sourceforge.net/
Source:         gtk-gnutella-%{version}.tar.xz
Patch0:         gtk-gnutella.enum-msg.patch
BuildRequires:  dbus-1-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  gtk2-devel
BuildRequires:  libgnutls-devel >= 3.2.4
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  zlib-devel
BuildRequires:  fdupes

%description
Gtk-Gnutella is a full-featured Gnutella client using GTK+. It contains all
widely deployed Gnutella features, including DHT support. It is extremely
efficient, using little CPU time and memory. It is meant to be left running
24x7. It is fully compatible with UPnP and NAT-PMP, and as such is easy to use
behind a firewall supporting one of these port mapping technologies.

%prep
%autosetup -p1

%build
./build.sh \
    --gtk2 \
    --prefix="%{_prefix}" \
    --bindir="%{_bindir}" \
    --datadir="%{_datadir}/%{name}" \
    --libdir="%{_libdir}" \
    --localedir="%{_datadir}/locale" \
    --mandir="%{_mandir}" \
    --cc="gcc" \
    --cflags="%{optflags}" \
    --cppflags="%{optflags}" \
    --make="make" \
    --configure-only \
    --verbose

%make_build

%install
%make_install INSTALL_PREFIX=%{buildroot}
rm "%{buildroot}%{_libdir}"/*.nm

%fdupes -s '%{buildroot}'

%suse_update_desktop_file -r "%{name}" Network FileTransfer

%find_lang "%{name}"

%files -f "%{name}.lang"
%doc ChangeLog README
%license GEO_LICENSE LICENSE
%{_bindir}/gtk-gnutella
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata
%{_datadir}/pixmaps/%{name}.*

%changelog
* Mon Dec 28 2020 olaf@aepfle.de
- Update to 1.2.0
* Sun May  8 2016 aloisio@gmx.com
- Update to 1.1.9
  * Changelog at
    https://github.com/gtk-gnutella/gtk-gnutella/blob/v1.1.9/ChangeLog
- Replaced gtk-gnutella-remove_DATE_from_entropy.patch with
  a sed line
- Spec cleanup
* Sat May  5 2012 seife+obs@b1-systems.com
- update to 0.98.2, see ChangeLog for details
  * this builds again on openSUSE >= 12.1
* Sat Sep 24 2011 pascal.bleser@opensuse.org
- update to 0.97.1:
* Thu Jul 21 2011 pascal.bleser@opensuse.org
- initial version (0.97)
